<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:18 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BoulderDashBDDConnector (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BoulderDashBDDConnector (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BoulderDashBDDConnector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/dao/AbstractDAO.html" title="class in model.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/dao/ElementDAO.html" title="class in model.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/dao/BoulderDashBDDConnector.html" target="_top">Frames</a></li>
<li><a href="BoulderDashBDDConnector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model.dao</div>
<h2 title="Class BoulderDashBDDConnector" class="title">Class BoulderDashBDDConnector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>model.dao.BoulderDashBDDConnector</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>final class <span class="typeNameLabel">BoulderDashBDDConnector</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><h1>The Class BoulderDashBDDConnector.</h1></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jean-Aymeric DIET jadiet@cesi.fr</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#connection">connection</a></span></code>
<div class="block">The connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="../../model/dao/BoulderDashBDDConnector.html" title="class in model.dao">BoulderDashBDDConnector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#instance">instance</a></span></code>
<div class="block">The instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#password">password</a></span></code>
<div class="block">The password.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#statement">statement</a></span></code>
<div class="block">The statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#url">url</a></span></code>
<div class="block">The url.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#user">user</a></span></code>
<div class="block">The login.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#BoulderDashBDDConnector--">BoulderDashBDDConnector</a></span>()</code>
<div class="block">Instantiates a new boulder dash BDD connector.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#executeQuery-java.lang.String-">executeQuery</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;query)</code>
<div class="block">Execute query.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#executeUpdate-java.lang.String-">executeUpdate</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;query)</code>
<div class="block">Execute update.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#getConnection--">getConnection</a></span>()</code>
<div class="block">Gets the connection.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../model/dao/BoulderDashBDDConnector.html" title="class in model.dao">BoulderDashBDDConnector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Gets the single instance of BoulderDashBDDConnector.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#getStatement--">getStatement</a></span>()</code>
<div class="block">Gets the statement.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#open--">open</a></span>()</code>
<div class="block">Open.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#prepareCall-java.lang.String-">prepareCall</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;query)</code>
<div class="block">Prepare call.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#setConnection-java.sql.Connection-">setConnection</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</code>
<div class="block">Sets the connection.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#setInstance-model.dao.BoulderDashBDDConnector-">setInstance</a></span>(<a href="../../model/dao/BoulderDashBDDConnector.html" title="class in model.dao">BoulderDashBDDConnector</a>&nbsp;instance)</code>
<div class="block">Sets the instance.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/dao/BoulderDashBDDConnector.html#setStatement-java.sql.Statement-">setStatement</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;statement)</code>
<div class="block">Sets the statement.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="user">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>user</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> user</pre>
<div class="block">The login.</div>
</li>
</ul>
<a name="password">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>password</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> password</pre>
<div class="block">The password.</div>
</li>
</ul>
<a name="url">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>url</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> url</pre>
<div class="block">The url.</div>
</li>
</ul>
<a name="connection">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connection</h4>
<pre>private&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a> connection</pre>
<div class="block">The connection.</div>
</li>
</ul>
<a name="statement">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>statement</h4>
<pre>private&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a> statement</pre>
<div class="block">The statement.</div>
</li>
</ul>
<a name="instance">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>instance</h4>
<pre>private static&nbsp;<a href="../../model/dao/BoulderDashBDDConnector.html" title="class in model.dao">BoulderDashBDDConnector</a> instance</pre>
<div class="block">The instance.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BoulderDashBDDConnector--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BoulderDashBDDConnector</h4>
<pre>private&nbsp;BoulderDashBDDConnector()</pre>
<div class="block">Instantiates a new boulder dash BDD connector.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../model/dao/BoulderDashBDDConnector.html" title="class in model.dao">BoulderDashBDDConnector</a>&nbsp;getInstance()</pre>
<div class="block">Gets the single instance of BoulderDashBDDConnector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>single instance of BoulderDashBDDConnector</dd>
</dl>
</li>
</ul>
<a name="setInstance-model.dao.BoulderDashBDDConnector-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInstance</h4>
<pre>private static&nbsp;void&nbsp;setInstance(<a href="../../model/dao/BoulderDashBDDConnector.html" title="class in model.dao">BoulderDashBDDConnector</a>&nbsp;instance)</pre>
<div class="block">Sets the instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - the new instance</dd>
</dl>
</li>
</ul>
<a name="open--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre>private&nbsp;boolean&nbsp;open()</pre>
<div class="block">Open.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if successful</dd>
</dl>
</li>
</ul>
<a name="executeQuery-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeQuery</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;executeQuery(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;query)</pre>
<div class="block">Execute query.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>query</code> - the query</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result set</dd>
</dl>
</li>
</ul>
<a name="prepareCall-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prepareCall</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>&nbsp;prepareCall(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;query)</pre>
<div class="block">Prepare call.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>query</code> - the query</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the java.sql. callable statement</dd>
</dl>
</li>
</ul>
<a name="executeUpdate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeUpdate</h4>
<pre>public&nbsp;int&nbsp;executeUpdate(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;query)</pre>
<div class="block">Execute update.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>query</code> - the query</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the int</dd>
</dl>
</li>
</ul>
<a name="getConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnection</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;getConnection()</pre>
<div class="block">Gets the connection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the connection</dd>
</dl>
</li>
</ul>
<a name="setConnection-java.sql.Connection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnection</h4>
<pre>public&nbsp;void&nbsp;setConnection(<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</pre>
<div class="block">Sets the connection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - the new connection</dd>
</dl>
</li>
</ul>
<a name="getStatement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatement</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;getStatement()</pre>
<div class="block">Gets the statement.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the statement</dd>
</dl>
</li>
</ul>
<a name="setStatement-java.sql.Statement-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setStatement</h4>
<pre>public&nbsp;void&nbsp;setStatement(<a href="http://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;statement)</pre>
<div class="block">Sets the statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statement</code> - the new statement</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BoulderDashBDDConnector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/dao/AbstractDAO.html" title="class in model.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/dao/ElementDAO.html" title="class in model.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/dao/BoulderDashBDDConnector.html" target="_top">Frames</a></li>
<li><a href="BoulderDashBDDConnector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
